### Method

# FwupdPlugin Device get_events

since: 2.0.0

#### Declaration [src]

    GPtrArray*
    fu_device_get_events (
      FuDevice* self
    )

#### Description [src]

Gets all the `FuDeviceEvent` objects added with fu_device_add_event().

These events should be added by `FuDevice` subclasses to enable the daemon to emulate a specific device type.

Available since: 2.0.0

#### Return value

Type: An array of `FuDeviceEvent*`

Events.

The returned data is owned by the instance.